
extension Icon {

    enum AudioPlayer {

        struct Playlist: ContentIcon {

            static let id = "icon-playlist"

            static let attributes = "viewBox='0 0 28 20'"

            static let content =
                """
                <g fill="none"><rect width="15" height="4" x="13" fill="currentColor" rx="2"/><g fill="currentColor"><path d="M0 1.2C0 .7.4.4.8.7l9.3 5.8c.5.3.5.7 0 1L.8 13.3c-.4.2-.8 0-.8-.5z"/><rect width="14" height="4" x="14" y="8" rx="2"/><rect width="28" height="4" y="16" rx="2"/></g></g>
                """
        }

        struct Close: ContentIcon {

            static let id = "icon-close"

            static let attributes = "viewBox='0 0 18 18'"

            static let content =
                """
                <path fill="currentColor" d="M9 6.194 3.392.586A1.986 1.986 0 0 0 .582.582c-.78.78-.773 2.033.004 2.81L6.194 9 .586 14.608a1.986 1.986 0 0 0-.004 2.81c.78.78 2.033.773 2.81-.004L9 11.806l5.608 5.608a1.986 1.986 0 0 0 2.81.004c.78-.78.773-2.033-.004-2.81L11.806 9l5.608-5.608a1.986 1.986 0 0 0 .004-2.81 1.982 1.982 0 0 0-2.81.004z"/>
                """
        }

        struct Pause: ContentIcon {

            static let id = "icon-pause"

            static let attributes = "viewBox='0 0 85 85'"

            static let content =
                """
                <g fill="none"><circle cx="42.5" cy="42.5" fill="currentColor" r="42.5"/><path d="m34 55h6v-24h-6zm12 0h6v-24h-6z" fill="#fff" stroke="#fff"/></g>
                """
        }

        struct Play: ContentIcon {

            static let id = "icon-play"

            static let attributes = "viewBox='0 0 85 85'"

            static let content =
                """
                <g fill="none"><circle cx="42.5" cy="42.5" r="42.5" fill="currentColor"/><path fill="#fff" d="M33.3 31.3c0-2.3 1.5-3.1 3.4-2l18.8 11.5c2 1.1 2 3 0 4.1L36.7 56.3c-1.9 1.2-3.4.3-3.4-1.9z"/></g>
                """
        }

        struct Previous: ContentIcon {

            static let id = "icon-previous"

            static let attributes = "viewBox='0 0 53 53'"

            static let content =
                """
                <g fill="none" transform="matrix(-1 0 0 1 53 0)"><circle cx="26.5" cy="26.5" r="26.5" fill="currentColor"/><g fill="#fff" transform="translate(16 17)"><path d="M.4 1.8C.4.6 1.2.2 2.2.8l12.3 7.5c1 .5 1 1.5 0 2L2.2 17.8c-1 .6-1.8.1-1.8-1z"/><rect width="3" height="17" x="18" y="1" rx="1.5"/></g></g>
                """
        }

        struct Next: ContentIcon {

            static let id = "icon-next"

            static let attributes = "viewBox='0 0 53 53'"

            static let content =
                """
                <g fill="none"><circle cx="26.5" cy="26.5" r="26.5" fill="currentColor"/><g fill="#fff" transform="translate(16 17)"><path d="M.4 1.8C.4.6 1.2.2 2.2.8l12.3 7.5c1 .5 1 1.5 0 2L2.2 17.8c-1 .6-1.8.1-1.8-1z"/><rect width="3" height="17" x="18" y="1" rx="1.5"/></g></g>
                """
        }
    }
}
